

pro bselect,mag,zscale,alpha,vertices,use_colorPlin,use_colorMlin,fast=fast,position=position,compute_deriv=compute_deriv,bthick=bthick,nofilldot=nofilldot,nospot=nospot,spot_color=spot_color


   print
   print,'*** Draw field lines by clicking LEFT mouse button'
   print,'    Delete field lines by clicking MIDDLE mouse button near FOOTPOINT of line'
   print,'    Exit by clicking RIGHT mouse button'
   print

   if tag_index(mag,'BZP',/quiet) GE 0 then $
      Bz = reform(mag.bzp(*,*,0)) $
   else $
      message,'The input field structure does not contain enough info'

   count = 0L

   if n_elements(vertices) GT 0 then $
      vertices = reform(vertices,n_elements(vertices))

   REPEAT begin

      cursor,x,y,/down,/device             ; Get place mouse clicked at
      spot = convert_coord(x,y,/device,/to_data)   ; Put in data coords
      button_pushed = !ERR

      nx = n_elements(mag.bxp(*,0,0))
      ny = n_elements(mag.bxp(0,*,0))
      nz = n_elements(mag.bxp(0,0,*))

      px = spot(0)
      py = spot(1)

      case button_pushed of
         1: begin    ; draw field line
               backwards = 0
               Bcolor = use_colorPlin
               if Bz(px,py) LT 0. then begin
                  backwards = 1
                  Bcolor = use_colorMlin
               endif
               print,px,py,' Drawing ...'
               bline,mag,px,py,zscale,mag.alpha,lvertices, $
                   backwards=backwards,Bcolor=Bcolor,fast=fast,$
                   position=position, bthick=bthick, nofilldot=nofilldot, $
                   reset=(keyword_set(compute_deriv) AND (count EQ 0)), $
                   nospot=nospot,spot_color=spot_color
               print,'... Done'
               if n_elements(vertices) GT 0 then $
                  junk = where( vertices EQ -1000., nlines) $
               else nlines=0
               if nlines GE 1 then vertices = [vertices,lvertices] $
               else vertices = lvertices
               count=count+1
            end
         2: begin    ; 
               erased_line = rmline(vertices,px,py)
               if erased_line(0) NE -1 AND  $
                  n_elements(erased_line) GT 1 then begin
                  erased_line(2) = 0  ; Set color to 0
                  bplot,add2str(dummy_str,['nx','ny','nz','zscale','vertices'],$
                                nx,ny,nz,zscale,erased_line), $
                                position=position,/quiet,nofilldot=nofilldot, $
                                spot_color=spot_color,nospot=nospot
               endif
            end
         4: begin    ; 
            end
         else: print,'Undefined result from cursor',button_pushed
      endcase
   
   endrep UNTIL (button_pushed EQ 4)

end
