
pro fly_blines,vert
common dbcom,w

   use_colorP = 10  ; must be the same as blines.pro
   use_colorM = 11
   default_color = !d.table_size-1

   cube = [0,0,0,vert.nx-1,vert.ny-1,(vert.nz-1)*vert.zscale]
   levels = [50.,100.,200.,400.,800.,1600.,3200.]
   t3d,/reset
   vert = blines(vert,outposition=svposition,/vert,charsize=charsize)

   ; Set up double buffering of the window
   if n_elements(w) LE 0 then db $  ; start double buffering
   else begin
      if w LT 0 then db $  ; start double buffering
      else begin
         if w NE !D.WINDOW then begin
            w=!D.WINDOW
            db,/close
            db
         endif
      endelse
   endelse

   position = svposition

   while fly(cube,r=2) do begin
 
      contour,vert.bz,/T3D,/NOERASE,ZVALUE=0.00, $
              LEVELS=levels, $
              c_colors=[use_colorP],color=default_color,/noclip,/xst,/yst, $
              position=position,charsize=charsize,c_linestyle=0

      contour,vert.bz, $
              /T3D, $
              /NOERASE, $
              position=position, $
              ZVALUE=0.00, $
              LEVELS=-1*rotate(levels,2), $
              c_colors=[use_colorM], $
              color=default_color, $
              /noclip, $
              /xst, $
              /yst, $
              charsize=charsize, $
              c_linestyle=0

      bplot,vert,position=position,/quiet

   endwhile

   db,/close  ; finish double buffering

end