

function rmline, vertices, x, y

   message,/info,string(x)+string(y)

   if n_elements(vertices) LE 9 then return,-1

   lstart = where(vertices EQ -1000., nlines)  ; -1000 indicates start of line
   lend = where(vertices EQ -2000., nelines)   ; -2000 indicates end of line

   if (nelines NE nlines) then $
      message,/info,'WARNING: # of line ends NE # of line starts'

   if (nlines LE 0) OR (nelines NE nlines) then return,-1

   erased_line = -1

   xl = vertices(lstart+3)
   yl = vertices(lstart+4)
   
   xe = vertices(lend-3)
   ye = vertices(lend-2)

   dist = (x-xl)^2+(y-yl)^2
   minsdist = min(dist,eline)
   edist = (x-xe)^2+(y-ye)^2
   minedist = min(edist,eeline)
   if minedist LT minsdist then eline=eeline

   xl = xl(eline)
   yl = yl(eline)

   print,xl,yl,format="('Deleteing line at (',f6.2,',',f6.2,')')"
   CASE 1 of
      (eline EQ 0 AND nlines EQ 1): begin
         erased_line = vertices
         junk = temporary(vertices)  ; Delete vertices variable
      end
      (eline EQ 0 AND nlines GT 1): begin 
         erased_line = vertices(0:lstart(eline+1)-1)
         vertices=vertices(lstart(eline+1):n_elements(vertices)-1) 
      end
      (eline EQ nlines-1): begin
         erased_line = vertices(lstart(eline):n_elements(vertices)-1)
         vertices=vertices(0:lstart(eline)-1) 
      end
      else: begin
         erased_line = vertices(lstart(eline):lstart(eline+1)-1)
         vertices=[vertices(0:lstart(eline)-1), $
                   vertices(lstart(eline+1):n_elements(vertices)-1)] 
      end
   endcase
   return,reform(erased_line,3,n_elements(erased_line)/3)

end
