
function jtotal,mag

  ; Zero field will give an error in the atan function
  good = where( mag.bx NE 0 or mag.by NE 0 or mag.bz NE 0,count)
  if count GT 0 then begin

     ; Constants to control where the computation is done:
     ; Limit increase of Jz to a factor of 4 
     ; The limit on the polar angle is reasonable cosidering uncertainties
     ; in the transverse field which enter the computation of polar.

     minpolar = 0.25   ; cos(polar)>0.25 ==> polar angle < 75.5 degrees
     jtbcut = 250.   ; No correction if the field is less than jtbcut Gauss
     jtjzcut = minpolar*5.  ; Five is the lowset contour in current maps

     ; fltarr sets polar to 0 inititally  which is then the default value
     polar = fltarr(n_elements(mag.bz(*,0)),n_elements(mag.bz(0,*))) 
     polar(good) = atan(sqrt(mag.bx(good)^2+mag.by(good)^2),mag.bz(good))
     cpolar = ( cos(polar) )
     bad = where(abs(cpolar) LT minpolar,count)
     if count GT 0 then cpolar(bad) = minpolar*sign(cpolar(bad))
     ; |current| assumed uncertain when |B|<jtbcut or |jz|<jzcut
     bad = where(    (sqrt(mag.bx^2+mag.by^2+mag.bz^2) LT jtbcut) $
                  OR (abs(mag.jz) LT jtjzcut),count)
     if count GT 0 then cpolar(bad)=1.

     if tag_index(mag,'J_TOTAL') LT 0 then $
        mag = add2str(mag,['J_TOTAL'],mag.jz/abs(cpolar)) $
     else $
        mag.j_total = mag.jz/abs(cpolar)

     print
     print,minpolar,jtbcut,jtjzcut, $
       format="('J_TOTAL:  Min cosine=',f6.2,'  |B| Cut=',f7.1,'  |Jz| Cut=',f5.1)"
     print

  endif $
  else print,"ERROR: The field is zero everywhere ... can't compute J_total"

  return,mag

end
