
pro plot_conflicts,conflict,pxd,pyd

   csize = size(conflict)
   if csize(n_elements(csize)-2) EQ 0 then return
   n = n_elements(conflict(*,0))
   if n LE 0 then return

   nx = n_elements(pxd(*,0))
   ny = n_elements(pxd(0,*))

   if n_elements(pyd(*,0)) NE nx OR n_elements(pyd(0,*)) NE ny then begin
      print,'ERROR: plot_conflicts: pxd and pyd must have the same dimensions'
      return
   endif

   specialct,9,255,0,0

  
   for loop=0,n-1 do begin
      row = conflict(loop,0)
      col = conflict(loop,1)

      rs = 1
      rp = 1
      cs = 1
      cp = 1

      if row EQ 0 then rs = 0
      if row EQ nx-1 then rp = 0
      if col EQ 0 then cs = 0
      if col EQ ny-1 then cp = 0

      xpp = pxd(row,col) + (pxd(row+rp,col+cp)-pxd(row,col))/2.0
      ypp = pyd(row,col) + (pyd(row+rp,col+cp)-pyd(row,col))/2.0
      xp0 = pxd(row,col) + (pxd(row+rp,col)-pxd(row,col))/2.0
      yp0 = pyd(row,col) + (pyd(row+rp,col)-pyd(row,col))/2.0
      xpm = pxd(row,col) + (pxd(row+rp,col-cs)-pxd(row,col))/2.0
      ypm = pyd(row,col) + (pyd(row+rp,col-cs)-pyd(row,col))/2.0
      x0m = pxd(row,col) + (pxd(row,col-cs)-pxd(row,col))/2.0
      y0m = pyd(row,col) + (pyd(row,col-cs)-pyd(row,col))/2.0
      xmm = pxd(row,col) + (pxd(row-rs,col-cs)-pxd(row,col))/2.0
      ymm = pyd(row,col) + (pyd(row-rs,col-cs)-pyd(row,col))/2.0
      xm0 = pxd(row,col) + (pxd(row-rs,col)-pxd(row,col))/2.0
      ym0 = pyd(row,col) + (pyd(row-rs,col)-pyd(row,col))/2.0
      xmp = pxd(row,col) + (pxd(row-rs,col+cp)-pxd(row,col))/2.0
      ymp = pyd(row,col) + (pyd(row-rs,col+cp)-pyd(row,col))/2.0
      x0p = pxd(row,col) + (pxd(row,col+cp)-pxd(row,col))/2.0
      y0p = pyd(row,col) + (pyd(row,col+cp)-pyd(row,col))/2.0

      x = [xpp,xp0,xpm,x0m,xmm,xm0,xmp,x0p]
      y = [ypp,yp0,ypm,y0m,ymm,ym0,ymp,y0p]

      polyfill,x,y,color=9,/data

   endfor

end
