
;+
;NAME:
;     INHEADER
;PURPOSE:
;     Searches a FITS header for a given keyword.  Returns index of the last
;     such keyword if it is found, -1 if it is not found.
;CATEGORY:
;CALLING SEQUENCE:
;     index = inheader(header,keyword)
;INPUTS:
;     header = String array containing lines of FITS header
;     keyword = String containing the FITS keyword
;OPTIONAL INPUT PARAMETERS:
;     none
;KEYWORD PARAMETERS
;     none
;OUTPUTS:
;     index = index in the header array of the last instance of keyword
;COMMON BLOCKS:
;     none
;SIDE EFFECTS:
;     none
;RESTRICTIONS:
;     none
;PROCEDURE:
;MODIFICATION HISTORY: 
;     TRM   Oct, 1991
;-

function inheader,header,keyword

   found = -1
   key = strupcase(strcompress(keyword,/remove_all))

   for i=0,n_elements(header)-1 do begin
      if strupcase(strcompress(strmid(header(i),0,8),/remove_all)) EQ key then $
         found=i
   endfor

   return,found

end
