
; this function returns a structure with some standard FITS header
; keywords
; used by rfits and wfits

function mkkey_struct

null = 2e-38     ; null ne 0.0
one = 1.000001  ; one ne 1.0
tru = 255b

fhd = {fitshead, bscale:one, bzero:null, bunit:'',$
       date_obs:'', time_obs:'',  object:'', instrume:'', $
       crval:replicate(null,8), crpix:replicate(one,8), $
       cdelt:replicate(one,8), crota:replicate(null,8), $
       ctype:strarr(8), offpix:replicate(null,8)}

return, fhd
end

;head:
; bitpix	int	not necessary, see size(array)
; naxis		int	not necessary, see size(array)
; naxisi(8)	int	not necessary, see size(array)
; bscale	float
; bzero		float
; bunit		string
; object	string
; date_obs	string
; time_obs	string
; instrume	string
; crval(8)	float
; crpix(8)	float
; cdelt(8)	float
; ctype(8)	string
; crota(8)	float
; offpix(8)	float

; IMPORTANT: use byte variable for logical keywords in FITS header
; (rfits and wfits make this assumption)

