function tag_index, str, tag, quiet=quiet
;
;+
;   Name: tag_index
;
;   Purpsose: return tag position (index) of 'tag' within 'str'
;
;   Input Parameters: 
;	str - structure
;	tag - tag name (string scaler or vector )
;
;   Output:
;       function returns indices of tag within str (-1 if not found)
;	longword scaler returned if tag is scaler, else longword vector 
;
;   History: slf 
;   	     modified, 21-feb-92 for to allow tag vector
;            trm - modidifed to be consistent with my old program and with
;                  sxt programs  3-jun-92
;-
on_error,2 
if n_tags(str) eq 0 then message,"Structure required"     
;
tagnames=strupcase(tag_names(str))
;
positions=[0]					;initiailze array
for i=0, n_elements(tag)-1 do $ 
   positions=[positions, where(strupcase(tag(i)) eq tagnames)]
;
;if NOT keyword_set(quiet) then begin
;   bad = where(positions(1:*) EQ -1)
;   if bad(0) NE -1 then print,'WARNING: tag names not found:',tag(bad)
;endif
;
positions=positions(1:*)				; elim. 1st
if n_elements(tag) eq 1 then positions=positions(0)	;make scaler
;
return,positions					
end
;
;
 

